Security
(bearer and appkey) or (sauth_service_token and appkey)
- ProdEUhttps://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/well-lists/get-by-well-guids
- ProdUShttps://api.delfi.slb.com/drillplan/offset-well-data/v1/well-lists/get-by-well-guids
- Mock serverhttps://developer.slb.com/_mock/solutions/drillplan/apis/offsetwellapi/v1/well-lists/get-by-well-guids
- bearer + appkey
- sauth_service_token + appkey
- application/json-patch+json
- application/json
- text/json
- application/*+json
curl -i -X POST \
'https://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/well-lists/get-by-well-guids?page_size=9999' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-H 'appkey: YOUR_API_KEY_HERE' \
-H 'slb-partition-id: string' \
-d '[
"string"
]'OK
Response
- text/plain
- application/json
- text/json
{
"current_matches": [
{
"physical_container_name": "string",
"creation_utc_timestamp": "2019-08-24T14:15:22Z",
"last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
"version": 0,
"id": "string",
"anchor_well_guid": "string",
"data_source": "string",
"guid": "string",
"name": "string",
"wells": [
{
"guid": "string",
"name": "string"
}
]
}
],
"current_match_count": 0,
"excluded_matches": [
{
"source": {
"physical_container_name": "string",
"creation_utc_timestamp": "2019-08-24T14:15:22Z",
"last_modification_utc_timestamp": "2019-08-24T14:15:22Z",
"version": 0,
"id": "string",
"anchor_well_guid": "string",
"data_source": "string",
"guid": "string",
"name": "string",
"wells": [
{
"guid": "string",
"name": "string"
}
]
},
"violations": [
{
"fatal_violation": true,
"details": "string"
}
]
}
],
"total_match_count": 0,
"next_page_id": "string",
"action_succeeded": true,
"master_error": "string",
"dependent_action_errors": [
"string"
],
"action_key": "string"
}